/**
 *
 * SETA43
 */

import java.util.Enumeration;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import java.io.IOException;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import gnu.io.CommPortIdentifier;
import gnu.io.SerialPort;
import gnu.io.SerialPortEvent;
import gnu.io.SerialPortEventListener;

public class ventana extends javax.swing.JFrame implements SerialPortEventListener
{
 private BufferedReader bufferIN;
    private OutputStream output = null;
    SerialPort serialPort;
    private static  String PORT_NAME; 
    private static final int TIME_OUT = 2000;
    private static final int DATA_RATE = 9600;
    int miDebug=0;

    
    public ventana() {
        initComponents();
        initializeArduinoConnection();
    }

    public synchronized void close() {
		if (serialPort != null) {
			serialPort.removeEventListener();
			serialPort.close();
		}
	}


    
       @Override
    public void serialEvent(SerialPortEvent oEvent) {
       //System.out.println( "EVENTO SERIE "+ oEvent.getEventType() );
			if (oEvent.getEventType() == SerialPortEvent.DATA_AVAILABLE) 
			{
				try {
					String inputLine=bufferIN.readLine();
					if(miDebug==1)System.out.println(inputLine);
					 valorIN.setText(inputLine);
					
					} 
				catch (Exception e) 
					{
					System.err.println(oEvent.toString());
					}
			}
    }
        
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        Bexit = new javax.swing.JButton();
        valorIN = new javax.swing.JTextField();
        B13_on = new javax.swing.JButton();
        B13_off = new javax.swing.JButton();
        B12_on = new javax.swing.JButton();
        B12_off = new javax.swing.JButton();
        B11_on = new javax.swing.JButton();
        B11_off = new javax.swing.JButton();
        B10_on = new javax.swing.JButton();
        B10_off = new javax.swing.JButton();
        B8_off = new javax.swing.JButton();
        B7_on = new javax.swing.JButton();
        B7_off = new javax.swing.JButton();
        B6_on = new javax.swing.JButton();
        B6_off = new javax.swing.JButton();
        B9_on = new javax.swing.JButton();
        B9_off = new javax.swing.JButton();
        B8_on = new javax.swing.JButton();
        B5_off = new javax.swing.JButton();
        B4_on = new javax.swing.JButton();
        B4_off = new javax.swing.JButton();
        B3_on = new javax.swing.JButton();
        B3_off = new javax.swing.JButton();
        B2_on = new javax.swing.JButton();
        B2_off = new javax.swing.JButton();
        B5_on = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        Bexit.setText("EXIT");
        Bexit.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                BexitActionPerformed(evt);
            }
        });

        valorIN.setText("Consola");

        B13_on.setText("PIN13_on");
        B13_on.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B13_onActionPerformed(evt);
            }
        });

        B13_off.setText("PIN13_off");
        B13_off.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B13_offActionPerformed(evt);
            }
        });

        B12_on.setText("PIN12_on");
        B12_on.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B12_onActionPerformed(evt);
            }
        });

        B12_off.setText("PIN12_off");
        B12_off.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B12_offActionPerformed(evt);
            }
        });

        B11_on.setText("PIN11_on");
        B11_on.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B11_onActionPerformed(evt);
            }
        });

        B11_off.setText("PIN11_off");
        B11_off.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B11_offActionPerformed(evt);
            }
        });

        B10_on.setText("PIN10_on");
        B10_on.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B10_onActionPerformed(evt);
            }
        });

        B10_off.setText("PIN10_off");
        B10_off.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B10_offActionPerformed(evt);
            }
        });

        B8_off.setText("PIN8__off");
        B8_off.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B8_offActionPerformed(evt);
            }
        });

        B7_on.setText("PIN7__on");
        B7_on.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B7_onActionPerformed(evt);
            }
        });

        B7_off.setText("PIN7__off");
        B7_off.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B7_offActionPerformed(evt);
            }
        });

        B6_on.setText("PIN6__on");
        B6_on.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B6_onActionPerformed(evt);
            }
        });

        B6_off.setText("PIN6__off");
        B6_off.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B6_offActionPerformed(evt);
            }
        });

        B9_on.setText("PIN9__on");
        B9_on.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B9_onActionPerformed(evt);
            }
        });

        B9_off.setText("PIN9__off");
        B9_off.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B9_offActionPerformed(evt);
            }
        });

        B8_on.setText("PIN8__on");
        B8_on.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B8_onActionPerformed(evt);
            }
        });

        B5_off.setText("PIN5__off");
        B5_off.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B5_offActionPerformed(evt);
            }
        });

        B4_on.setText("PIN4__on");
        B4_on.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B4_onActionPerformed(evt);
            }
        });

        B4_off.setText("PIN4__off");
        B4_off.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B4_offActionPerformed(evt);
            }
        });

        B3_on.setText("PIN3__on");
        B3_on.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B3_onActionPerformed(evt);
            }
        });

        B3_off.setText("PIN3__off");
        B3_off.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B3_offActionPerformed(evt);
            }
        });

        B2_on.setText("PIN2__on");
        B2_on.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B2_onActionPerformed(evt);
            }
        });

        B2_off.setText("PIN2__off");
        B2_off.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B2_offActionPerformed(evt);
            }
        });

        B5_on.setText("PIN5__on");
        B5_on.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B5_onActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(21, 21, 21)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(B7_on)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(B7_off))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(B8_on)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(B8_off))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(B9_on)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(B9_off))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(valorIN, javax.swing.GroupLayout.PREFERRED_SIZE, 152, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(Bexit))
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                        .addGroup(layout.createSequentialGroup()
                            .addComponent(B2_on)
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                            .addComponent(B2_off))
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(B3_on)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(B3_off))
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(B4_on)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(B4_off))
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(B5_on)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(B5_off))))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(B6_on)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(B6_off))
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                        .addGroup(layout.createSequentialGroup()
                            .addComponent(B10_on)
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                            .addComponent(B10_off))
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(B11_on)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(B11_off))
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(B12_on)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(B12_off))
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(B13_on)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(B13_off)))))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(B13_on)
                    .addComponent(B13_off))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(B12_on)
                    .addComponent(B12_off))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(B11_on)
                    .addComponent(B11_off))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(B10_on)
                    .addComponent(B10_off))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(B9_on)
                    .addComponent(B9_off))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(B8_on)
                    .addComponent(B8_off))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(B7_on)
                    .addComponent(B7_off))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(B6_on)
                    .addComponent(B6_off))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(B5_on)
                    .addComponent(B5_off))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(B4_on)
                    .addComponent(B4_off))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(B3_on)
                    .addComponent(B3_off))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(B2_on)
                    .addComponent(B2_off))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(valorIN, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(Bexit))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void BexitActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_BexitActionPerformed
        close();
        System.exit(0);
    }//GEN-LAST:event_BexitActionPerformed

    private void B13_onActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B13_onActionPerformed
         sendData("SET 13,1\n");
    }//GEN-LAST:event_B13_onActionPerformed

    private void B13_offActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B13_offActionPerformed
         sendData("SET 13,0\n");
    }//GEN-LAST:event_B13_offActionPerformed

    private void B12_onActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B12_onActionPerformed
        sendData("SET 12,1\n");
    }//GEN-LAST:event_B12_onActionPerformed

    private void B12_offActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B12_offActionPerformed
        sendData("SET 12,0\n");
    }//GEN-LAST:event_B12_offActionPerformed

    private void B11_onActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B11_onActionPerformed
        sendData("SET 11,1\n");
    }//GEN-LAST:event_B11_onActionPerformed

    private void B11_offActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B11_offActionPerformed
        sendData("SET 11,0\n");
    }//GEN-LAST:event_B11_offActionPerformed

    private void B10_onActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B10_onActionPerformed
        sendData("SET 10,1\n");
    }//GEN-LAST:event_B10_onActionPerformed

    private void B10_offActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B10_offActionPerformed
        sendData("SET 10,0\n");
    }//GEN-LAST:event_B10_offActionPerformed

    private void B8_offActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B8_offActionPerformed
        sendData("SET 8,0\n");
    }//GEN-LAST:event_B8_offActionPerformed

    private void B7_onActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B7_onActionPerformed
        sendData("SET 7,1\n");
    }//GEN-LAST:event_B7_onActionPerformed

    private void B7_offActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B7_offActionPerformed
        sendData("SET 7,0\n");
    }//GEN-LAST:event_B7_offActionPerformed

    private void B6_onActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B6_onActionPerformed
       sendData("SET 6,1\n");
    }//GEN-LAST:event_B6_onActionPerformed

    private void B6_offActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B6_offActionPerformed
        sendData("SET 6,0\n");
    }//GEN-LAST:event_B6_offActionPerformed

    private void B9_onActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B9_onActionPerformed
       sendData("SET 9,1\n");
    }//GEN-LAST:event_B9_onActionPerformed

    private void B9_offActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B9_offActionPerformed
       sendData("SET 9,0\n");
    }//GEN-LAST:event_B9_offActionPerformed

    private void B8_onActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B8_onActionPerformed
        sendData("SET 8,1\n");
    }//GEN-LAST:event_B8_onActionPerformed

    private void B5_offActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B5_offActionPerformed
        sendData("SET 5,0\n");
    }//GEN-LAST:event_B5_offActionPerformed

    private void B4_onActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B4_onActionPerformed
        sendData("SET 4,1\n");
    }//GEN-LAST:event_B4_onActionPerformed

    private void B4_offActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B4_offActionPerformed
        sendData("SET 4,0\n");
    }//GEN-LAST:event_B4_offActionPerformed

    private void B3_onActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B3_onActionPerformed
        sendData("SET 3,1\n");
    }//GEN-LAST:event_B3_onActionPerformed

    private void B3_offActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B3_offActionPerformed
        sendData("SET 3,0\n");
    }//GEN-LAST:event_B3_offActionPerformed

    private void B2_onActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B2_onActionPerformed
        sendData("SET 2,1\n");
    }//GEN-LAST:event_B2_onActionPerformed

    private void B2_offActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B2_offActionPerformed
        sendData("SET 2,0\n");
    }//GEN-LAST:event_B2_offActionPerformed

    private void B5_onActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B5_onActionPerformed
        sendData("SET 5,1\n");
    }//GEN-LAST:event_B5_onActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        if(args.length==1)
		{ PORT_NAME = args[0];	}
	 else
		{ PORT_NAME= "/dev/ttyUSB0";}
		 System.out.println("PORT_"+ PORT_NAME);
                 
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new ventana().setVisible(true);
            }
        });
    }

    
    
      private void sendData(String data) 
	{
            
	 try 
            { output.write(data.getBytes());	} 
	 catch(IOException e) 
            {	showError("Error sending data");
		System.exit(ERROR);
		}
	}
       
      private void showError(String errorMessage) 
		{ System.out.println( "ERROR " + errorMessage);  }
    
    
    
    public void initializeArduinoConnection() 
    {
		CommPortIdentifier portId = null;
		Enumeration portEnum = CommPortIdentifier.getPortIdentifiers();
	// iterate through, looking for the port
		while (portEnum.hasMoreElements()) 
			{                            
			CommPortIdentifier currPortId = (CommPortIdentifier) portEnum.nextElement();                        
			if (PORT_NAME.equals(currPortId.getName())) {
				System.out.println( "NUM.IDENTIF.=" + currPortId);
				portId = currPortId;
				break;
			}
		}
		if (portId == null) {
			System.out.println( "Could not find port.");
			JOptionPane.showMessageDialog(null, "Could not find port." + PORT_NAME);
			System.exit(ERROR);
			return;}		
		try 
                    {
			serialPort = (SerialPort) portId.open(this.getClass().getName(), TIME_OUT);
			serialPort.setSerialPortParams(DATA_RATE, SerialPort.DATABITS_8, SerialPort.STOPBITS_1, SerialPort.PARITY_NONE);
		// open the streams
			output = serialPort.getOutputStream();
			bufferIN = new BufferedReader(new InputStreamReader(serialPort.getInputStream()));
			serialPort.addEventListener(this);
			serialPort.notifyOnDataAvailable(true);
			System.out.println( "OK port." + PORT_NAME);
                        valorIN.setText("OK port." + PORT_NAME);
                    }
		catch(Exception e) 
                    {
			System.out.println( "ERROR configuracion port." + PORT_NAME);
			JOptionPane.showMessageDialog(null, "ERROR configuracion port." + PORT_NAME);
			System.exit(ERROR);
                    }
    }
    
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton B10_off;
    private javax.swing.JButton B10_on;
    private javax.swing.JButton B11_off;
    private javax.swing.JButton B11_on;
    private javax.swing.JButton B12_off;
    private javax.swing.JButton B12_on;
    private javax.swing.JButton B13_off;
    private javax.swing.JButton B13_on;
    private javax.swing.JButton B2_off;
    private javax.swing.JButton B2_on;
    private javax.swing.JButton B3_off;
    private javax.swing.JButton B3_on;
    private javax.swing.JButton B4_off;
    private javax.swing.JButton B4_on;
    private javax.swing.JButton B5_off;
    private javax.swing.JButton B5_on;
    private javax.swing.JButton B6_off;
    private javax.swing.JButton B6_on;
    private javax.swing.JButton B7_off;
    private javax.swing.JButton B7_on;
    private javax.swing.JButton B8_off;
    private javax.swing.JButton B8_on;
    private javax.swing.JButton B9_off;
    private javax.swing.JButton B9_on;
    private javax.swing.JButton Bexit;
    private javax.swing.JTextField valorIN;
    // End of variables declaration//GEN-END:variables
}
